aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-05 14:44:52 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-05 14:44:52 +0000
commitc956fd36f9158b4b59990ba2cc714e304a5cf44f (patch)
treeb13f53f2717d8eb302447384b48f4375abe2c278
parent1d395f8df76dff10098c5f34636c4acdecef3c2f (diff)
downloadslackbuilds-c956fd36f9158b4b59990ba2cc714e304a5cf44f.tar.gz
slackbuilds-c956fd36f9158b4b59990ba2cc714e304a5cf44f.tar.bz2
perl-test-simple: turned to a SlackBuild
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@846 370017ae-e619-0410-ac65-c121f96126d4
-rwxr-xr-xdev/perl/perl-test-simple/perl-test-simple.SlackBuild123
-rwxr-xr-xdev/perl/perl-test-simple/perl-test-simple.build106
2 files changed, 111 insertions, 118 deletions
diff --git a/dev/perl/perl-test-simple/perl-test-simple.SlackBuild b/dev/perl/perl-test-simple/perl-test-simple.SlackBuild
index 5ace8d60..14c5d477 100755
--- a/dev/perl/perl-test-simple/perl-test-simple.SlackBuild
+++ b/dev/perl/perl-test-simple/perl-test-simple.SlackBuild
@@ -1,30 +1,129 @@
#!/bin/bash
#
-# SlackBuild script to call perl-test-simple.build with correct settings
-#
+# SlackBuild script for perl-test-simple
+# by rhatto at riseup.net by rhatto | gpl
CWD="`pwd`"
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building ekiga are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+if [ -f "/etc/slackbuildrc" ]; then
source /etc/slackbuildrc
fi
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
# default settings
-PACKAGE="perl-test-simple"
-VERSION=${VERSION:=0.65}
+NAME="Test::Simple"
+PACKAGE="perl-`echo $NAME | sed -e 's/::/-/g' | tr '[:upper:]' '[:lower:]'`"
+TMP=${TMP:=/tmp}
+VERSION=${VERSION:=0.66}
ARCH=${ARCH:=i386}
BUILD=${BUILD:=1rha}
SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
-rm -rf $TMP/$PACKAGE
-mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE $REPOS
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+FILE_NAME="`echo $NAME | sed -e 's/::/-/g'`"
+SRC="$FILE_NAME-$VERSION.tar.gz"
+URL="http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/$SRC"
-slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+SRC_DIR="$SRC_DIR/$PACKAGE"
+
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $FILE_NAME-$VERSION
+
+# config and install!
+mkdir -p /install
+
+perl Makefile.PL
+make
+make test
+make install DESTDIR=$TMP/package-$PACKAGE
+
+# make the package
+
+cd $TMP/package-$PACKAGE
+
+# we need to fix .packlist
+string="`echo $TMP/package-$PACKAGE | sed -e 's/\//\\\\\//g'`"
+for file in `find -name .packlist`; do
+ sed -e "s/^$string//g" $file > $file.tmp
+ mv $file.tmp $file
+done
+
+mkdir install
+
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+perl-test-simple: perl-test-simple (Basic utilities for writing tests)
+perl-test-simple:
+perl-test-simple:
+perl-test-simple:
+perl-test-simple:
+perl-test-simple:
+perl-test-simple:
+perl-test-simple:
+perl-test-simple:
+perl-test-simple:
+perl-test-simple:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+DOCS="Changes README SIGNATURE"
+cp -a $CWD/$DOCS usr/doc/$PACKAGE-$VERSION/
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP/$PACKAGE
+ rm -rf $TMP
fi
+
diff --git a/dev/perl/perl-test-simple/perl-test-simple.build b/dev/perl/perl-test-simple/perl-test-simple.build
deleted file mode 100755
index 4614a9b4..00000000
--- a/dev/perl/perl-test-simple/perl-test-simple.build
+++ /dev/null
@@ -1,106 +0,0 @@
-#!/bin/bash
-#
-# build script for perl-test-simple
-# by rhatto at riseup.net by rhatto | gpl
-
-CWD="`pwd`"
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building ekiga are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-if [ -f "/etc/slackbuildrc" ]; then
- source /etc/slackbuildrc
-fi
-
-if [ -f "~/.slackbuildrc" ]; then
- source ~/.slackbuildrc
-fi
-
-# default settings
-NAME="Test::Simple"
-PACKAGE="perl-`echo $NAME | sed -e 's/::/-/g' | tr '[:upper:]' '[:lower:]'`"
-TMP=${TMP:=/tmp}
-VERSION=${VERSION:=0.65}
-ARCH=${ARCH:=i386}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-
-# ------- error codes for createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-FILE_NAME="`echo $NAME | sed -e 's/::/-/g'`"
-SRC="$FILE_NAME-$VERSION.tar.gz"
-URL="http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-
-if [ ! -d "$SRC_DIR" ]; then
- mkdir -p $SRC_DIR
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
-
-TMP="$TMP/$PACKAGE"
-
-if [ ! -d "$TMP" ]; then
- mkdir -p $TMP
-fi
-
-tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $FILE_NAME-$VERSION
-
-# config and install!
-mkdir -p /install
-
-perl Makefile.PL
-make
-make test
-make install
-
-# make the package
-
-cat << EOF > /install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-perl-test-simple: perl-test-simple (test modules)
-perl-test-simple:
-perl-test-simple: This package contains Test::Builder and Test::More and
-perl-test-simple: Text::Simple perl modules.
-perl-test-simple:
-perl-test-simple:
-perl-test-simple:
-perl-test-simple:
-perl-test-simple:
-perl-test-simple:
-perl-test-simple:
-EOF
-